<apex:page controller="PTbillingRateCheck" action="{!initializeReport}">
    <script>
    	function checkRate(){
        	var fromValue = document.getElementById("{!$Component.BRCForm.dateFrom}").value;
            var toValue = document.getElementById("{!$Component.BRCForm.dateTo}").value;
            checkRateBilling(fromValue,toValue);
        }
    
    	function clearReport(){
            var fromValue = document.getElementById("{!$Component.BRCForm.dateFrom}");
            var toValue = document.getElementById("{!$Component.BRCForm.dateTo}");
            var checkedFlag = document.getElementById("{!$Component.BRCForm.checkedCheckbox}");
            fromValue.value = "";
            toValue.value = "";
			checkedFlag.checked = false;            
            clear();
        }    
    </script>

    <style type="text/css">
        .gridCaption{
            text-align:center;
        }
        .gridCheckBox{
        	text-align:left;
        }
        .loadingClass{
        font-size:large;
        }
    </style>
    <apex:form id="BRCForm">
        <apex:actionFunction name="clear" action="{!initializeReport}" rerender="BRCBlock" status="statusGetAuditController"/>
        <apex:actionFunction name="checkRateBilling" action="{!checkBillingRate}" rerender="BRCBlock" status="statusGetAuditController">
            <apex:param name="dFrom" assignTo="{!dateFromString}" value=""/>
            <apex:param name="dTo" assignTo="{!dateToString}" value=""/>
        </apex:actionFunction>
        <apex:outputPanel id="searchPanel"> 
            <apex:panelGrid columns="1" columnClasses="gridCaption">
                <apex:outputText value="Date Range"/>
                <apex:panelGrid columns="3">
                    <apex:inputField id="dateFrom" value="{!utilityBilling.Billing_Date__c}"/>
                    <apex:outputText value="To"/>
                    <apex:inputField id="dateTo" value="{!utilityBilling.Billing_Date__c}"/>
                </apex:panelGrid>
                <apex:inputCheckbox id="checkedCheckbox" value="{!checkedFlag}" selected="false" styleClass="gridCheckBox">Omit checked billings</apex:inputCheckbox>
                <button type="button" onclick="checkRate();return false;">Apply Filter</button>
                <button type="button" onclick="clearReport();">Clear</button>
            </apex:panelGrid>
        </apex:outputPanel>
        <apex:actionStatus id="statusGetAuditController">
            <apex:facet name="start">
                <div>
                    <div class="loadingClass">
                        Loading....
                    </div>
                </div>
            </apex:facet>
        </apex:actionStatus> 
        <apex:outputPanel id="BRCPanel">
            <apex:pageBlock id="BRCBlock">
                <apex:pageBlockTable id="BRCBlockTable" value="{!utilityBillingList}" var="bL">
                    <apex:column headerValue="Utility Billing Id"><apex:outputLink onclick="window.open('/{!bL.id}');return false;">{!bL.name}</apex:outputLink></apex:column>
                    <apex:column headerValue="Billing Date" value="{!bL.Billing_Date__c}" />
                    <apex:column headerVAlue="Business Unit" value="{!bL.service_id__r.Business_Unit__c}"/>
                    <apex:column headerVAlue="Operating District" value="{!bL.service_id__r.Operating_District__c}"/>
                    <apex:column headerVAlue="AMU" value="{!bL.service_id__r.AMU_id__c}"/>
                    <apex:column headerVAlue="LSD" value="{!bL.service_id__r.LSD_id__c}"/>
                    <apex:column headerVAlue="Site Id" value="{!bL.Site_ID__c}"/>
                    <apex:column headerValue="Service Id" value="{!bL.Service_id__c}"/>
                    <apex:column headerValue="Billing Rate" value="{!bL.Utility_Rate__c}"/>
                    <apex:column headerValue="Service Rate" value="{!bL.Service_Rate__c}"/>
                    <apex:column headerValue="Billing Checked" value="{!bL.Billing_Checked__c}"/>
                </apex:pageBlockTable>
            </apex:pageBlock>
        </apex:outputPanel>
    </apex:form>
</apex:page>